Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556575 - fontmatrix: FTBFS in F28
Summary: fontmatrix: FTBFS in F28
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: fontmatrix
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-15 00:09 UTC by Fedora Release Engineering
Modified: 2018-04-14 10:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-14 10:41:54 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-15 00:09:42 UTC
Your package fontmatrix failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=25026974

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Parag Nemade 2018-03-19 08:44:31 UTC
Currently the build.log is showing

CMake Error at CMakeLists.txt:65 (MESSAGE):
  ICU Not Found ARGH
-- Configuring incomplete, errors occurred!
See also "/builddir/build/BUILD/fontmatrix-0.9.99-Source/CMakeFiles/CMakeOutput.log".

not sure what has changed that caused this. I know this is very old code but I am not aware of CMake build system.

Comment 2 Mamoru TASAKA 2018-03-19 09:27:07 UTC
Perhaps libicu version bump (F-27 fontamatrix successful build was with libicu 57.1 v.s. F-28 uses 60.2) caused F-28/rawhide build error.

Comment 3 Mamoru TASAKA 2018-03-21 07:10:41 UTC
So looking at fontmatrix-0.9.99-Source/cmake/modules/FindICU.cmake, it contains:

     19 # This is a perverted FindICU since we rather look for ICU Layout module
     20 FIND_PATH(
     21 ICU_INCLUDE_DIR 
     22 NAMES layout/LayoutEngine.h
     23 DOC "Include directory for the ICU Layout library"
     24 )

and actually fontmatrix-0.9.99-Source/src/icushaper.h needs some icu layout header files. But it seems removed from icu 58:

http://userguide.icu-project.org/layoutengine

Comment 4 Parag Nemade 2018-03-21 07:30:13 UTC
Thank you Mamoru for your help here.

I think time has come to let this package die. There is no upstream contributors left to work on this project https://github.com/fontmatrix/fontmatrix/commits/master

I think I will retire this soon.

Comment 5 Parag Nemade 2018-04-14 10:41:54 UTC
It is sad to see this package retired by me today but there is no upstream commits since last 7 years and no one is working on this package's code.

Closing this bug now as I have retired this package for f28+


Note You need to log in before you can comment on or make changes to this bug.